/*
 * file: PvEngine.h
 * This file is part of the libpv library.
 *
 * Copyright 2005 Pengutronix
 *
 * Please send bug reports to bugs@pengutronix.de
 *
 * See COPYING for the status of this software.
 */

#ifndef LIBPV_PYTHON_PV_ENGINE_H
#define LIBPV_PYTHON_PV_ENGINE_H

#include <Python.h>
#include <libpv.h>

PyTypeObject PvEngine_Type;

typedef struct {
	PyObject_HEAD
	pv_engine_t engine;
} PvEngineObject;

PyObject *PvEngine_new(PyTypeObject *type, PyObject *args);
void PvEngine_dealloc(PvEngineObject *self);

PyObject *PvEngine_register(PvEngineObject *self, PyObject *args);
PyObject *PvEngine_lock(PvEngineObject *self, PyObject *args);
PyObject *PvEngine_unlock(PvEngineObject *self, PyObject *args);

#endif
